<?= $this->render('escorts/quick-search.phtml') ?>
<? $defines = Zend_Registry::get('defines'); ?>
<div id="quick-links">
	<div class="label"><?= $this->t('quick_links') ?></div>

	 <?
		$current_user = Model_Users::getCurrent();
		if ( $current_user && $current_user->isMember() ) {
			$link = $this->getLink('favorites');
		}
		else {
			$link = $this->getLink('signin');
		}
	?>

	<?
		$filters = array(
			array('class' => 'favorites', 'title' => $this->t('my_favorites'), 'href' => $link ),
			array('class' => 'p100', 'title' => $this->t('100_verified'), 'filter' => 'verified'),
			/*array('class' => 'now_open', 'title' => $this->t('now_open'), 'filter' => 'now-open'),*/
			array('class' => 'french', 'title' => $this->t('brazil'), 'filter' => 'brazil'),
			array('class' => 'incall', 'title' => $this->t('offer_incall'), 'filter' => 'available-for-incall'),
			array('class' => 'outcall', 'title' => $this->t('offer_outcall'), 'filter' => 'available-for-outcall'),
			array('class' => 'blonds', 'title' => $this->t('blondes_only'), 'filter' => 'hair-color_' . ___clean_str($defines['hair_color_options'][COLOR_BLOND])),
			array('class' => 'asian', 'title' => $this->t('asian_only'), 'filter' => 'ethnic_'  . ___clean_str($defines['ethnic_options'][ETHNIC_ASIAN])),
			array('class' => 'ebony', 'title' => $this->t('ebony_only'), 'filter' => 'ethnic_'  . ___clean_str($defines['ethnic_options'][ETHNIC_BLACK])),
			array('class' => 'latins', 'title' => $this->t('latin_only'), 'filter' => 'ethnic_'  . ___clean_str($defines['ethnic_options'][ETHNIC_LATIN]))
		);
	?>

	<div class="grp">
	<? foreach ( $filters as $filter ): ?>
		<?
			$selected = FALSE;

			/*if ( !isset($filter['href']) ) foreach ( $this->params['filter'] as $f ) {
				$value = $f['field'] . ( is_array($f['value']) && count($f['value']) ? '_' . implode('_', $f['value']) : NULL );
				if ( $value == $filter['filter'] ) {
					$selected = TRUE;
				}
			}*/
		?>

		<? if ( ! $selected ): ?>
		<a class="<?= $filter['class'] ?>" href="#<? /*isset($filter['href']) ? $filter['href'] : $this->getLink('escorts', array('page' => null, 'filter' => $filter['filter']))*/ ?>"
		<?= ! isset($filter['href']) ? 'onclick="return Cubix.Filter.Set({ page: null, filter: \'' . $filter['filter'] . '\' }, false, this)"' : '' ?>>
			<img src="<?= _st('v2.1/s.gif') ?>" alt="<?= $filter['title'] ?>" /><br/>
			<span><?= $filter['title'] ?></span>
		</a>
		<? else: ?>
		<a class="<?= $filter['class'] ?>" href="#<? /*isset($filter['href']) ? $filter['href'] : $this->getLink('escorts', array('page' => null, 'filter' => $filter['filter']))*/ ?>"
		<?= ! isset($filter['href']) ? 'onclick="return Cubix.Filter.Set({ page: null, filter: \'' . $filter['filter'] . '\' }, false, this)"' : '' ?>>
			<img src="<?= _st('v2.1/s.gif') ?>" alt="<?= $filter['title'] ?>" /><br/>
			<span><?= $filter['title'] ?></span>
		</a>
		<? endif ?>

	<? endforeach ?>
	</div>
</div>